package mhp.oee.po.gen;

import java.math.BigDecimal;
import java.util.Date;

public class StdCycleTimePO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column std_cycle_time.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column std_cycle_time.SITE
     *
     * @mbggenerated
     */
    private String site;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column std_cycle_time.ITEM
     *
     * @mbggenerated
     */
    private String item;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column std_cycle_time.OPERATION
     *
     * @mbggenerated
     */
    private String operation;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column std_cycle_time.RESRCE
     *
     * @mbggenerated
     */
    private String resrce;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column std_cycle_time.STRT
     *
     * @mbggenerated
     */
    private String strt;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column std_cycle_time.PPM_THEORY
     *
     * @mbggenerated
     */
    private BigDecimal ppmTheory;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column std_cycle_time.STD_CYCLE_TIME
     *
     * @mbggenerated
     */
    private BigDecimal stdCycleTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column std_cycle_time.START_DATE
     *
     * @mbggenerated
     */
    private Date startDate;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column std_cycle_time.END_DATE
     *
     * @mbggenerated
     */
    private Date endDate;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column std_cycle_time.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column std_cycle_time.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column std_cycle_time.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column std_cycle_time.HANDLE
     *
     * @return the value of std_cycle_time.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column std_cycle_time.HANDLE
     *
     * @param handle the value for std_cycle_time.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column std_cycle_time.SITE
     *
     * @return the value of std_cycle_time.SITE
     *
     * @mbggenerated
     */
    public String getSite() {
        return site;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column std_cycle_time.SITE
     *
     * @param site the value for std_cycle_time.SITE
     *
     * @mbggenerated
     */
    public void setSite(String site) {
        this.site = site == null ? null : site.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column std_cycle_time.ITEM
     *
     * @return the value of std_cycle_time.ITEM
     *
     * @mbggenerated
     */
    public String getItem() {
        return item;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column std_cycle_time.ITEM
     *
     * @param item the value for std_cycle_time.ITEM
     *
     * @mbggenerated
     */
    public void setItem(String item) {
        this.item = item == null ? null : item.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column std_cycle_time.OPERATION
     *
     * @return the value of std_cycle_time.OPERATION
     *
     * @mbggenerated
     */
    public String getOperation() {
        return operation;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column std_cycle_time.OPERATION
     *
     * @param operation the value for std_cycle_time.OPERATION
     *
     * @mbggenerated
     */
    public void setOperation(String operation) {
        this.operation = operation == null ? null : operation.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column std_cycle_time.RESRCE
     *
     * @return the value of std_cycle_time.RESRCE
     *
     * @mbggenerated
     */
    public String getResrce() {
        return resrce;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column std_cycle_time.RESRCE
     *
     * @param resrce the value for std_cycle_time.RESRCE
     *
     * @mbggenerated
     */
    public void setResrce(String resrce) {
        this.resrce = resrce == null ? null : resrce.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column std_cycle_time.STRT
     *
     * @return the value of std_cycle_time.STRT
     *
     * @mbggenerated
     */
    public String getStrt() {
        return strt;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column std_cycle_time.STRT
     *
     * @param strt the value for std_cycle_time.STRT
     *
     * @mbggenerated
     */
    public void setStrt(String strt) {
        this.strt = strt == null ? null : strt.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column std_cycle_time.PPM_THEORY
     *
     * @return the value of std_cycle_time.PPM_THEORY
     *
     * @mbggenerated
     */
    public BigDecimal getPpmTheory() {
        return ppmTheory;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column std_cycle_time.PPM_THEORY
     *
     * @param ppmTheory the value for std_cycle_time.PPM_THEORY
     *
     * @mbggenerated
     */
    public void setPpmTheory(BigDecimal ppmTheory) {
        this.ppmTheory = ppmTheory;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column std_cycle_time.STD_CYCLE_TIME
     *
     * @return the value of std_cycle_time.STD_CYCLE_TIME
     *
     * @mbggenerated
     */
    public BigDecimal getStdCycleTime() {
        return stdCycleTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column std_cycle_time.STD_CYCLE_TIME
     *
     * @param stdCycleTime the value for std_cycle_time.STD_CYCLE_TIME
     *
     * @mbggenerated
     */
    public void setStdCycleTime(BigDecimal stdCycleTime) {
        this.stdCycleTime = stdCycleTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column std_cycle_time.START_DATE
     *
     * @return the value of std_cycle_time.START_DATE
     *
     * @mbggenerated
     */
    public Date getStartDate() {
        return startDate;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column std_cycle_time.START_DATE
     *
     * @param startDate the value for std_cycle_time.START_DATE
     *
     * @mbggenerated
     */
    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column std_cycle_time.END_DATE
     *
     * @return the value of std_cycle_time.END_DATE
     *
     * @mbggenerated
     */
    public Date getEndDate() {
        return endDate;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column std_cycle_time.END_DATE
     *
     * @param endDate the value for std_cycle_time.END_DATE
     *
     * @mbggenerated
     */
    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column std_cycle_time.CREATED_DATE_TIME
     *
     * @return the value of std_cycle_time.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column std_cycle_time.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for std_cycle_time.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column std_cycle_time.MODIFIED_DATE_TIME
     *
     * @return the value of std_cycle_time.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column std_cycle_time.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for std_cycle_time.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column std_cycle_time.MODIFIED_USER
     *
     * @return the value of std_cycle_time.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column std_cycle_time.MODIFIED_USER
     *
     * @param modifiedUser the value for std_cycle_time.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}